petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatFDColoringGetPerturbedColumns

Returns the indices of the columns that that are currently being perturbed.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringGetPerturbedColumns(MatFDColoring coloring,PetscInt *n,const PetscInt *cols[])

Not Collective

### Input Parameters

coloring -coloring context created with MatFDColoringCreate()

### Output Parameters

| n | - the number of local columns being perturbed
| cols | - the column indices, in global numbering

Note: IF the matrix type is BAIJ, then the block column indices are returned

### Fortran Note

This routine has a different interface for Fortran

        #include <petsc/finclude/petscmat.h>

             use petscmat

             PetscInt, pointer :: array(:)

             PetscErrorCode  ierr

             MatFDColoring   i

             call MatFDColoringGetPerturbedColumnsF90(i,array,ierr)

         use the entries of array ...

             call MatFDColoringRestorePerturbedColumnsF90(i,array,ierr)

### See Also

MatFDColoringCreate(), MatFDColoringDestroy(), MatFDColoringView(), MatFDColoringApply()

### Level

advanced

### Location

src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages